<?php
/**
 * BLUE Light 
 */
?>

<html>
<head><title>Light it up Blue!</title>

<style type="text/css" media="all">
html,
body {
    margin: 0;
    padding: 0;
}

#text-shadow-box {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background: #5190cd;
    font-family: Helvetica, Arial, sans-serif;
    -webkit-tap-highlight-color: rgba(0,0,255,0);
	-webkit-user-select: none;
}

#text-shadow-box #tsb-text,
#text-shadow-box #tsb-link {
    position: absolute;
    top: 46%;
    left: 0;
    width: 100%;
    height: 1em;
    margin: -0.98em 0 0 0;
    font-size: 100px;
    line-height: 1em;
    font-weight: bold;
    text-align: center;
}
#text-shadow-box {
		background:url(http://lightitupblue.org/karmaimages/images/lightitup/logo.png);
}

#text-shadow-box #tsb-text {
    font-size: 105px;
    color: transparent;
}

#text-shadow-box #tsb-link a {
    color: #00ceff;
    text-decoration: none;
		font-style:italic;
}

#text-shadow-box #tsb-box,
#text-shadow-box #tsb-wall {
    position: absolute;
    top: 48%;
    left: 0;
    width: 100%;
    height: 60%;
}

#text-shadow-box #tsb-wall {
    background: #d0ff6e;
}

#text-shadow-box #tsb-wall p {
    font-size: 20px;
    line-height: 1.6em;
    text-align: justify;
    color: #0011af;
    width: 550px;
    margin: 1.5em auto;
}

#text-shadow-box #tsb-wall p a {
		color: #79080a;
}

#text-shadow-box #tsb-wall p a:hover {
    text-decoration: none;
    color: #000;
}

#tsb-spot {
    position: absolute;
    top: 0;
    left: 0;
    width: 200%;
    height: 200%;
    pointer-events: none;
    background: -webkit-gradient(radial, center center, 0, center center, 450, from(rgba(0,0,255,0)), to(rgba(0,0,255,1)));
    background: -moz-radial-gradient(center 65deg, circle closest-side, transparent 0, blue 450px);
}
</style>

</head>
<body>
    
<div id="text-shadow-box">
    <div id="tsb-box"></div>
    <p id="tsb-text">Light it up Blue!</p>
    <p id="tsb-link"><a href="http://lightitupblue.org/">Light it up Blue!</a></p>
    <div id="tsb-wall">
	<p>Join Autism Speaks in celebrating World Autism Awareness Day
	on April 2nd and Light It Up Blue to help shine a light on Autism.
	Whether it's your front porch or your local city hall, an office
	party or a banquet, the whole world is going blue to increase
	awareness about Autism.   You can learn more at <a href="http://autismspeaks.org/">Autism Speaks - It's time to listen.</a></p></div>
    <div id="tsb-spot"></div>
</div>

<script type="text/javascript" language="javascript" charset="utf-8">
/**
 * by Scott Kappler
 * http://www.scottkappler.com
 * Javascript below for site.
 */
 
var text = null;
var spot = null;
var box = null;
var boxProperty = '';

init();

function init() {
    text = document.getElementById('tsb-text');
    spot = document.getElementById('tsb-spot');
    box = document.getElementById('tsb-box');
    
    if (typeof box.style.webkitBoxShadow == 'string') {
        boxProperty = 'webkitBoxShadow';
    } else if (typeof box.style.MozBoxShadow == 'string') {
        boxProperty = 'MozBoxShadow';
    } else if (typeof box.style.boxShadow == 'string') {
        boxProperty = 'boxShadow';
    }

    if (text && spot && box) {
        document.getElementById('text-shadow-box').onmousemove = onMouseMove;
        document.getElementById('text-shadow-box').ontouchmove = function (e) {e.preventDefault(); e.stopPropagation(); onMouseMove({clientX: e.touches[0].clientX, clientY: e.touches[0].clientY});};
    }
    
    onMouseMove({clientX: Math.floor(window.innerWidth / 2), clientY: Math.floor(window.innerHeight / 2.85)});
}

function onMouseMove(e) {
    var xm = (e.clientX - Math.floor(window.innerWidth / 2)) * 0.4;
    var ym = (e.clientY - Math.floor(window.innerHeight / 3)) * 0.4;
    var d = Math.round(Math.sqrt(xm*xm + ym*ym) / 5);
    text.style.textShadow = -xm + 'px ' + -ym + 'px ' + (d + 10) + 'px blue';
    
    if (boxProperty) {
        box.style[boxProperty] = '0 ' + -ym + 'px ' + (d + 30) + 'px blue';
    }
    
    xm = e.clientX - window.innerWidth;
    ym = e.clientY - window.innerHeight;
    spot.style.backgroundPosition = xm + 'px ' + ym + 'px';
}
</script>
</body>

</html>